%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Tk\\)
%global __provides_exclude %__provides_exclude|perl\\(Tk::Clipboard\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Frame\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Listbox\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Scale\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Scrollbar\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Table\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Toplevel\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Widget\\)$
%global __provides_exclude %__provides_exclude|perl\\(Tk::Wm\\)$
Summary:        Perl Graphical User Interface ToolKit
Name:           perl-Tk
Version:        804.036
Release:        8%{?dist}
License:        (GPL+ or Artistic) and SWL
URL:            https://metacpan.org/release/Tk
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-%{version}.tar.gz
Patch3000:      perl-Tk-widget.patch
Patch3001:      perl-Tk-seg.patch

BuildRequires:  make gcc-c++ perl-generators
BuildRequires:  perl-devel >= 5.8.3 freetype-devel libjpeg-devel
BuildRequires:  libpng-devel libX11-devel libXft-devel
BuildRequires:  perl(Config) perl(Cwd) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy) perl(lib) perl(open) perl(strict) perl(Test)

Requires:       perl(locale)

Provides:       perl(Tk::LabRadio) = 4.004 perl(Tk) = %{version}

%description
Tk is a Graphical User Interface ToolKit.This a report of a perl interface to Tk8.4.
C code is derived from Tcl/Tk8.4.5.It also includes all the C code parts of Tix8.1.4 from SourceForge.
Perl API is essentially the same as Tk800 series Tk800.025 but has notbeen verified as compliant. 
There ARE differences see pod/804delta.pod.

%package devel
Summary: perl-Tk ExtUtils::MakeMaker support module
Requires: perl-Tk = %{version}-%{release}

%description devel
perl-Tk ExtUtils::MakeMaker support module

%prep
%setup -q -n Tk-%{version}
find . -type f -exec %{__perl} -pi -e 's,^(#!)(/usr/local)?/bin/perl\b,$1%{__perl}, if ($. == 1)' {} \;
chmod -x pod/Popup.pod Tixish/lib/Tk/balArrow.xbm
%patch3000
%{__perl} -pi -e 's,\@demopath\@,%{_pkgdocdir}/demos,g' demos/widget
%%patch3001 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 XFT=1
find . -name Makefile | xargs %{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/'
%make_build


%install
%make_install

find %{buildroot} -type f -name '*.bs' -size 0 -delete
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*
mkdir __demos
cp -pR %{buildroot}%{perl_vendorarch}/Tk/demos __demos
find __demos/ -type f -exec chmod -x {} \;

%files
%license COPYING pTk/*license*
%doc Changes README README.linux ToDo  
%doc __demos/demos demos/widget blib/man1/widget.1
%{_bindir}/p*
%{_bindir}/tkjpeg
%exclude %{_bindir}/gedi
%exclude %{_bindir}/widget
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/T*
%exclude %{perl_vendorarch}/Tk/demos
%exclude %{perl_vendorarch}/Tk/MMutil.pm
%exclude %{perl_vendorarch}/Tk/install.pm
%exclude %{perl_vendorarch}/Tk/MakeDepend.pm
%{_mandir}/man*/*
%exclude %{_mandir}/man1/widget.1*


%files devel
%dir %{perl_vendorarch}/Tk
%{perl_vendorarch}/Tk/MMutil.pm
%{perl_vendorarch}/Tk/install.pm
%{perl_vendorarch}/Tk/MakeDepend.pm


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 804.036-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 804.036-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 804.036-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 804.036-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Thu Aug 17 2023 kianli@tencent.com - 804.036-4
- Rebuilt for libXft 2.3.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 804.036-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 804.036-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 19 2022 Feng Weiyao <wynnfeng@tencent.com> - 804.036-1
- package init.
